DKBSignDocs

API reference

GETRequires Bearer token

List documents due for purge

/api/edm/lifecycle/due

Company-admin.

Path parameters

This endpoint has no path parameters.

Query parameters

FieldTypeDescription
within_days
integerLook-ahead window (0–3650, default 0 = already due).
e.g. 30

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Due for purge
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/edm/lifecycle/due?within_days=30' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "org_id": "1",
    "folder_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "typology_id": null,
    "name": "Contract 2026.pdf",
    "status": "draft",
    "size_bytes": 1048576,
    "mime_type": "application/pdf",
    "owner_user_id": "4",
    "metadata": {},
    "tags": [
      "client-x"
    ],
    "legal_hold": false,
    "version_count": 1,
    "sealed_at": null,
    "created_at": "2026-03-01T10:00:00Z",
    "updated_at": "2026-03-01T10:00:00Z"
  }
]